import * as core from "@terrascript/core";

export interface LogStreamArgs extends core.ResourceArgs {
  logGroupName: string | core.StringOut;

  name: string | core.StringOut;
}

export class LogStream extends core.Resource<LogStreamArgs> {
  @core.attr(String, { computed: true })
  public arn!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public logGroupName!: string | core.StringOut;

  @core.attr(String)
  public name!: string | core.StringOut;

  constructor(name: string, args?: LogStreamArgs) {
    super(name, "aws_cloudwatch_log_stream", args);
  }

  public override getNamespace(): string {
    return "aws_cloudwatch";
  }
}
